1

I for some reason can't open Steam. It worked for a while before but it suddenly stopped working. Here's the error that shows up:

You are missing the following 32-bit libraries, and Steam may not run:
libglib-2.0.so.0
libglib-2.0.so.0
libglib-2.0.so.0
libglib-2.0.so.0
libglib-2.0.so.0
libglib-2.0.so.0
libdbus-1.so.3
libglib-2.0.so.0
libbz2.so.1.0
libglib-2.0.so.0
libglib-2.0.so.0
libglib-2.0.so.0
libglib-2.0.so.0
libwrap.so.0
libdbus-1.so.3
  • Running an AMD graphics card for anyone who's wondering. – mrbear235 Jan 18 '15 at 20:18
0

Steam needs some 32-bit libraries in order to work.

Install the following libraries with package manager tool (apt-get, aptitude, synaptic, etc)

libglib2.0-0:i386
libdbus-1-3:i386
libwrap0:i386
libbz2-1.0:i386

Pay attention to i386 as it means 32-bit version.

  • After running this, it did in fact lessen the errors but I still got one: "You are missing the following 32-bit libraries, and Steam may not run: libbz2.so.1.0" – mrbear235 Jan 18 '15 at 20:10

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.